Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTreeWidgetItemIterator.IteratorFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTreeWidgetItemIterator.IteratorFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTreeWidgetItemIterator

    public static final class QTreeWidgetItemIterator.IteratorFlag

extends java.lang.Enum
implements QtEnumerator

These flags can be passed to a `QTreeWidgetItemIterator` constructor (OR-ed together if more than one is used), so that the iterator will only iterate over items that match the given flags.

See Also:
  Serialized Form

Field Summary
`static QTreeWidgetItemIterator.IteratorFlag` | `All`
`static QTreeWidgetItemIterator.IteratorFlag` | `Checked`
`static QTreeWidgetItemIterator.IteratorFlag` | `Disabled`
`static QTreeWidgetItemIterator.IteratorFlag` | `DragDisabled`
`static QTreeWidgetItemIterator.IteratorFlag` | `DragEnabled`
`static QTreeWidgetItemIterator.IteratorFlag` | `DropDisabled`
`static QTreeWidgetItemIterator.IteratorFlag` | `DropEnabled`
`static QTreeWidgetItemIterator.IteratorFlag` | `Editable`
`static QTreeWidgetItemIterator.IteratorFlag` | `Enabled`
`static QTreeWidgetItemIterator.IteratorFlag` | `HasChildren`
`static QTreeWidgetItemIterator.IteratorFlag` | `Hidden`
`static QTreeWidgetItemIterator.IteratorFlag` | `NoChildren`
`static QTreeWidgetItemIterator.IteratorFlag` | `NotChecked`
`static QTreeWidgetItemIterator.IteratorFlag` | `NotEditable`
`static QTreeWidgetItemIterator.IteratorFlag` | `NotHidden`
`static QTreeWidgetItemIterator.IteratorFlag` | `NotSelectable`
`static QTreeWidgetItemIterator.IteratorFlag` | `Selectable`
`static QTreeWidgetItemIterator.IteratorFlag` | `Selected`
`static QTreeWidgetItemIterator.IteratorFlag` | `Unselected`
`static QTreeWidgetItemIterator.IteratorFlag` | `UserFlag`

Method Summary
`static QTreeWidgetItemIterator.IteratorFlags` | `createQFlags(QTreeWidgetItemIterator.IteratorFlag[] values)` This function creates a com.trolltech.qt.gui.QTreeWidgetItemIterator$IteratorFlags with the specified `com.trolltech.qt.gui.QTreeWidgetItemIterator$IteratorFlag[]` QTreeWidgetItemIterator$IteratorFlag values set.
`static QTreeWidgetItemIterator.IteratorFlag` | `resolve(int value)` Returns the QTreeWidgetItemIterator$IteratorFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTreeWidgetItemIterator.IteratorFlag` | `valueOf(java.lang.String name)`
`static QTreeWidgetItemIterator.IteratorFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### All

    public static final QTreeWidgetItemIterator.IteratorFlag All

### Hidden

    public static final QTreeWidgetItemIterator.IteratorFlag Hidden

### NotHidden

    public static final QTreeWidgetItemIterator.IteratorFlag NotHidden

### Selected

    public static final QTreeWidgetItemIterator.IteratorFlag Selected

### Unselected

    public static final QTreeWidgetItemIterator.IteratorFlag Unselected

### Selectable

    public static final QTreeWidgetItemIterator.IteratorFlag Selectable

### NotSelectable

    public static final QTreeWidgetItemIterator.IteratorFlag NotSelectable

### DragEnabled

    public static final QTreeWidgetItemIterator.IteratorFlag DragEnabled

### DragDisabled

    public static final QTreeWidgetItemIterator.IteratorFlag DragDisabled

### DropEnabled

    public static final QTreeWidgetItemIterator.IteratorFlag DropEnabled

### DropDisabled

    public static final QTreeWidgetItemIterator.IteratorFlag DropDisabled

### HasChildren

    public static final QTreeWidgetItemIterator.IteratorFlag HasChildren

### NoChildren

    public static final QTreeWidgetItemIterator.IteratorFlag NoChildren

### Checked

    public static final QTreeWidgetItemIterator.IteratorFlag Checked

### NotChecked

    public static final QTreeWidgetItemIterator.IteratorFlag NotChecked

### Enabled

    public static final QTreeWidgetItemIterator.IteratorFlag Enabled

### Disabled

    public static final QTreeWidgetItemIterator.IteratorFlag Disabled

### Editable

    public static final QTreeWidgetItemIterator.IteratorFlag Editable

### NotEditable

    public static final QTreeWidgetItemIterator.IteratorFlag NotEditable

### UserFlag

    public static final QTreeWidgetItemIterator.IteratorFlag UserFlag

Method Detail

### values

    public static QTreeWidgetItemIterator.IteratorFlag[] values()

### valueOf

    public static QTreeWidgetItemIterator.IteratorFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTreeWidgetItemIterator.IteratorFlags createQFlags(QTreeWidgetItemIterator.IteratorFlag[] values)

  This function creates a com.trolltech.qt.gui.QTreeWidgetItemIterator$IteratorFlags with the specified `com.trolltech.qt.gui.QTreeWidgetItemIterator$IteratorFlag[]` QTreeWidgetItemIterator$IteratorFlag values set.

### resolve

    public static QTreeWidgetItemIterator.IteratorFlag resolve(int value)

  Returns the QTreeWidgetItemIterator$IteratorFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD